Loading...
Searching...
No Matches
casacore::FunctionMarshallable Class Referenceabstract
scimath package (libcasa_scimath) » Functionals_module

More...

`#include <FunctionMarshallable.h>`

## Public Member Functions

| FunctionMarshallable (const String &functype)
| create a FunctionMarshallable.
| FunctionMarshallable (const FunctionMarshallable &other)
virtual | ~FunctionMarshallable ()
virtual void | store (Record &gr) const =0
| store the state of this Function into a Record
virtual FunctionMarshallable & | operator= (const FunctionMarshallable &other)
const String & | getFuncType () const
| return the name representing the Function type that will be placed in the functype field of Record passed to store().
void | loadFuncType (Record &gr) const
| load functype field into the given Record

## Private Member Functions

| FunctionMarshallable ()

## Private Attributes

String | ftype

## Detailed Description

a class for serializing/reconstituting Function objects to/from Records

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- FunctionFactory
- Function

### Etymology

Marshalling (a.k.a. serialization) is the process of converting the state of an object into a transmitable form so that an another object with identical state can be created in another execution context. This class defines an interface for marshalling Functions.

### Synopsis

### Example

### Motivation

Definition at line 82 of file FunctionMarshallable.h.

## Constructor & Destructor Documentation

## FunctionMarshallable() [1/3]

casacore::FunctionMarshallable::FunctionMarshallable | ( | const String & | functype | ) |

inline

create a FunctionMarshallable.

functype is the name that store() will load into the Record's functype field.

Definition at line 87 of file FunctionMarshallable.h.

References ftype.

Referenced by FunctionMarshallable(), casacore::MarshallableChebyshev< T >::MarshallableChebyshev(), casacore::MarshallableChebyshev< T >::MarshallableChebyshev(), casacore::MarshallableChebyshev< T >::MarshallableChebyshev(), casacore::MarshallableChebyshev< T >::MarshallableChebyshev(), casacore::MarshallableChebyshev< T >::MarshallableChebyshev(), casacore::MarshallableChebyshev< T >::MarshallableChebyshev(), casacore::MarshButterworthBandpass< T >::MarshButterworthBandpass(), casacore::MarshButterworthBandpass< T >::MarshButterworthBandpass(), casacore::MarshButterworthBandpass< T >::MarshButterworthBandpass(), casacore::MarshButterworthBandpass< T >::MarshButterworthBandpass(), operator=(), and store().

## FunctionMarshallable() [2/3]

casacore::FunctionMarshallable::FunctionMarshallable | ( | const FunctionMarshallable & | other | ) |

inline

Definition at line 88 of file FunctionMarshallable.h.

References ftype, and FunctionMarshallable().

## ~FunctionMarshallable()

virtual casacore::FunctionMarshallable::~FunctionMarshallable | ( |  | ) |

inline virtual

Definition at line 91 of file FunctionMarshallable.h.

## FunctionMarshallable() [3/3]

casacore::FunctionMarshallable::FunctionMarshallable | ( |  | ) |

inline private

Definition at line 116 of file FunctionMarshallable.h.

References ftype.

## Member Function Documentation

## getFuncType()

const String & casacore::FunctionMarshallable::getFuncType | ( |  | ) | const

inline

return the name representing the Function type that will be placed in the functype field of Record passed to store().

Definition at line 108 of file FunctionMarshallable.h.

References ftype.

## loadFuncType()

void casacore::FunctionMarshallable::loadFuncType | ( | Record & | gr | ) | const

inline

load functype field into the given Record

Definition at line 111 of file FunctionMarshallable.h.

References ftype, casacore::SerialHelper::FUNCTYPE, and casacore::Record().

## operator=()

virtual FunctionMarshallable & casacore::FunctionMarshallable::operator= | ( | const FunctionMarshallable & | other | ) |

inline virtual

Definition at line 100 of file FunctionMarshallable.h.

References ftype, and FunctionMarshallable().

Referenced by casacore::MarshallableChebyshev< T >::operator=(), and casacore::MarshButterworthBandpass< T >::operator=().

## store()

virtual void casacore::FunctionMarshallable::store | ( | Record & | gr | ) | const

pure virtual

store the state of this Function into a Record

### Thrown Exceptions

- InvalidSerializationError if an error during serialization

Implemented in casacore::MarshallableChebyshev< T >, and casacore::MarshButterworthBandpass< T >.

References FunctionMarshallable(), and casacore::Record().

## Member Data Documentation

## ftype

String casacore::FunctionMarshallable::ftype

private

Definition at line 118 of file FunctionMarshallable.h.

Referenced by FunctionMarshallable(), FunctionMarshallable(), FunctionMarshallable(), getFuncType(), loadFuncType(), and operator=().

The documentation for this class was generated from the following file:

- scimath/Functionals/FunctionMarshallable.h